Package Details: owncloud-app-news 9.0.4-1

Git Clone URL: https://aur.archlinux.org/owncloud-app-news.git (read-only, click to copy)
Package Base: owncloud-app-news
Description: An RSS/Atom feed reader
Upstream URL: https://github.com/owncloud/news
Licenses: AGPL
Submitter: onny
Maintainer: None
Last Packager: onny
Votes: 3
Popularity: 0.000000
First Submitted: 2015-07-31 13:17 (UTC)
Last Updated: 2016-09-06 12:36 (UTC)

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

dvzrv commented on 2016-09-22 16:35 (UTC)

@onny: can you please change the upstream URL and additionally change the PKGBUILD, so that the tarball is just downloaded and extracted at the correct spot (/usr/share/webapps/owncloud/apps/). Building from source is not required.

dvzrv commented on 2016-07-30 20:05 (UTC)

@onny: Don't you think a renaming of the package to owncloud-app-news to nextcloud-app-news would be necessary? You can't just switch upstream like that...

bposselt commented on 2016-04-09 18:55 (UTC)

The full dependencies for building the app are: * core/make * community/npm * core/which * extra/php-composer

bposselt commented on 2016-04-04 18:32 (UTC)

@KlavKalashj It's a development dependency if you want to build it from source. If you simply want to use the precompiled package, use the news.tar.gz from https://github.com/owncloud/news/releases which can be downloaded using this link https://github.com/owncloud/news/releases/download/8.1.0/news.tar.gz PS: I've moved the updater to a separate repo https://github.com/owncloud/news-updater

KlavKalashj commented on 2016-04-03 09:44 (UTC) (edited on 2016-04-03 09:44 (UTC) by KlavKalashj)

Doesn't build for me if npm is not installed. Should maybe be added as a dependency?

bposselt commented on 2016-04-02 15:26 (UTC)

PS: I'll probably move the updater to a separate repo and I'm thinking about also publishing it to pypi. We'll see :)

bposselt commented on 2016-04-02 15:25 (UTC)

Hi @cmorgenstern, reporting in from GitHub ;) I've added the possibility to run the updater in process/cli mode (is that how you call it?) which basically runs the updates by directly executing PHP files. That way you don't have the HTTP overhead and I was able to drop the auth requirements, so no need to add a plain text user and password to your config.ini. You can call it by simply passing a directory as the url, e.g: owncloud-news-updater /path/to/owncloud or in your config.ini: [updater] url = /path/to/owncloud

shujie commented on 2015-10-17 10:05 (UTC)

@cmorgenstern Maybe you can change the user in the systemd service file.

shujie commented on 2015-10-17 10:04 (UTC)

Add a package for news update. https://aur.archlinux.org/packages/owncloud-news-updater/

morgenstern commented on 2015-08-24 17:37 (UTC)

I'm not terribly comfortable having my ownCloud credentials visible in plaintext in the INI file for the news updater. Is there a good way to secure it? Changing the permissions for the file makes it impossible to run the updater.